/*
*2013-09-02
*HWUnit2-Programming Assignment 1
*Bradley Forney
*CIS 127
*Professor: Craig Sharp
* 
* Purpose: Creates 3 Pet objects and 2 owner objects.
*/
package vetapp;

/**
 *Description:
 *You have been contacted by a local veterinarian to create a Customer Management System. Before you can build the entire system,you decide that you must first represent pets and their owners.
 *The purpose of this project is to expose you to classes and objects, and to provide you with the experience of building each. In addition, it provides you with an opportunity to learn proper programming style.
 *
 *Procedure:
 *Create a class for a pet, and another class for an owner. The pet class must have an attribute to represent the pet’s name, type (dog, cat, fish), and owner. The owner class must have attributes to represent their first and last name, email address, and phone number.
 *
 *After you have created the classes, create a small program that instantiates 2 pets with the same owner, and another pet with a different owner. The program should print the pets and owners to the screen.
 * 
 *Deliverables:
 * An OO program that implements the two classes and two objects described in the
 * procedure section above. Each file must begin with comments indicating that you are the author, and describing the purpose of the file’s contents.

 * @author bforney
 */
public class VetApp {

    /**
     * To run:
     * Place all .java files in folder called vetapp
     * Go to one directory above vetapp
     * javac vetapp\*.java
     * java vetapp.VetApp
     * 
     * @author Bradley Forney
     * 
     * @param args the command line arguments
     */
    public static void main(String[] args) {
       
        
        //Create Pet object and assign values to it
        Pet rex = new Pet();
        rex.setPetName("Rex Awesome");
        rex.setPetType("Dog");
        rex.setOwnerName("Tom Smith");  
        
        //Create Pet object and assign values to it
        Pet feline = new Pet();
        feline.setPetName("Feline McGee");
        feline.setPetType("Cat");
        feline.setOwnerName("Tom Smith");
        
        //Create Pet object and assign values to it
        Pet nemo = new Pet();
        nemo.setPetName("Nemo");
        nemo.setPetType("Fish");
        nemo.setOwnerName("Bob Lee");

        //Create Owner object and assign values to it 
        Owner bob = new Owner();
        bob.setFirstName("Bob");
        bob.setLastName("Lee");
        bob.setEmailAddress("bob.lee@email.com");
        bob.setPhoneNumber("843-123-4523");
        
        //Create Owner object and assign values to it 
        Owner tom = new Owner();
        tom.setFirstName("Tom");
        tom.setLastName("Smith");
        tom.setEmailAddress("tom.smith@email.com");
        tom.setPhoneNumber("843-234-4233");
          
        //Output pet values
        System.out.println("Pet name:   "+rex.getPetName());
        System.out.println("Pet type:   "+rex.getPetType());
        System.out.println("Pet owner:  "+rex.getOwnerName()+"\n");
        
        System.out.println("Pet name:   "+feline.getPetName());
        System.out.println("Pet type:   "+feline.getPetType());
        System.out.println("Pet owner:  "+feline.getOwnerName()+"\n");
        
        System.out.println("Pet name:   "+nemo.getPetName());
        System.out.println("Pet type:   "+nemo.getPetType());
        System.out.println("Pet owner:  "+nemo.getOwnerName()+"\n");
        
        //Output owner values
        System.out.println("Owner name:         "+bob.getFirstName()+" "+bob.getLastName());
        System.out.println("Owner email:        "+bob.getEmailAddress());
        System.out.println("Owner phone number: "+bob.getPhoneNumber()+"\n");
        
        System.out.println("Owner name:         "+tom.getFirstName()+" "+tom.getLastName());
        System.out.println("Owner email:        "+tom.getEmailAddress());
        System.out.println("Owner phone number: "+tom.getPhoneNumber()+"\n");
        
    }
}
